# stats
execute if entity @s[scores={agriculture=1..}] run function ttm:stats/agriculture
execute if entity @s[scores={axes=1..}] run function ttm:stats/axes
execute if entity @s[scores={blocking=1..}] run function ttm:stats/blocking
execute if entity @s[scores={brewing=1..}] run function ttm:stats/brewing
execute if entity @s[scores={excavation=1..}] run function ttm:stats/excavation
execute if entity @s[scores={exploration=1..}] run function ttm:stats/exploration
execute if entity @s[scores={fishing=1..}] run function ttm:stats/fishing
execute if entity @s[scores={magic=1..}] run function ttm:stats/magic
execute if entity @s[scores={marksmanship=1..}] run function ttm:stats/marksmanship
execute if entity @s[scores={mining=1..}] run function ttm:stats/mining
execute if entity @s[scores={smithing=1..}] run function ttm:stats/smithing
execute if entity @s[scores={sneak=1..}] run function ttm:stats/sneak
execute if entity @s[scores={swords=1..}] run function ttm:stats/swords
execute if entity @s[scores={taming=1..}] run function ttm:stats/taming

# agriculture
scoreboard players add @s[scores={ttm.break_carrot=1..}] ttm.broke_plant 1
scoreboard players add @s[scores={ttm.break_potato=1..}] ttm.broke_plant 1
scoreboard players add @s[scores={ttm.break_cocoa=1..}] ttm.broke_plant 1
scoreboard players add @s[scores={ttm.break_wheat=1..}] ttm.broke_plant 1
scoreboard players add @s[scores={ttm.break_beetroot=1..}] ttm.broke_plant 1
execute if entity @s[scores={ttm.broke_plant=1..}] run function ttm:skills/agriculture/break_plants
execute as @s[scores={ttm.coospd=1..}] run function ttm:skills/agriculture/coospd

# axes
execute if entity @s[scores={ttm.axe_timer=1}] run function ttm:skills/axes/revoke
scoreboard players remove @s[scores={ttm.axe_timer=1..}] ttm.axe_timer 1

# blocking
execute if entity @s[scores={ttm.kinetic_counter=1..}] run function ttm:skills/blocking/main

# brewing
execute if entity @s[scores={ttm.p_brew_timer=1..}] run function ttm:skills/brewing/brew_main
execute at @s[scores={ttm.inter_brew=1..}] anchored eyes positioned ^ ^ ^ anchored feet run function ttm:skills/brewing/ray/start_ray
execute at @s[scores={ttm.p_brew_timer=1..}] anchored eyes positioned ^ ^ ^ anchored feet run function ttm:skills/brewing/ray/start_ray
scoreboard players remove @s[scores={ttm.load_brw=1..}] ttm.load_brw 1
scoreboard players set @s[scores={ttm.inter_brew=1..}] ttm.inter_brew 0

# excavation
execute if entity @s[scores={ttm.break_clay=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_coarse_dirt=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_dirt=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_grass_block=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_gravel=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_mud=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_mycelium=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_podzol=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_red_sand=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_sand=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_snow=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_snow_block=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_soul_sand=1..}] run function ttm:skills/excavation/exp
execute if entity @s[scores={ttm.break_soul_soil=1..}] run function ttm:skills/excavation/exp

# exploration
# none

# fishing
#none

# magic 
execute if entity @s[scores={ttm.spell_book=-2147483648..2147483647}] run function ttm:skills/magic/imbue
execute if entity @s[scores={ttm.logout=1..}] run function ttm:skills/magic/cooldown

# marksmanship
execute if entity @s[scores={ttm.mrk_timer=1..}] run function ttm:skills/marksmanship/sharpshooter/timer
execute if entity @s[scores={ttm.mrk_sharpshooter=1..}] run function ttm:skills/marksmanship/sharpshooter/sharp_timer

# mining
execute if entity @s[scores={ttm.break_stone=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_deepslate=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_diorite=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_andesite=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_granite=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_iron_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_diamond_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_coal_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_redstone_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_emerald_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_lapis_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_gold_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_copper_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_amethyst=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_calcite=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_d_coal_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_d_iron_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_d_gold_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_d_copper_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_d_redstone_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_d_lapis_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_d_emerald_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_d_diamond_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_tuff=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_dripstone=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_sandstone=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_terracotta=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_brown_terracotta=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_light_gray_terracotta=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_orange_terracotta=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_red_terracotta=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_white_terracotta=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_yellow_terracotta=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_blackstone=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_netherrack=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_magma_block=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_basalt=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_smooth_basalt=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_nether_gold_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_nether_quartz_ore=1..}] run function ttm:skills/mining/exp
execute if entity @s[scores={ttm.break_end_stone=1..}] run function ttm:skills/mining/exp

# smithing
scoreboard players set @s[scores={ttm.inter_blast=1..}] ttm.p_blast_timer 400
execute at @s[scores={ttm.inter_blast=1..}] anchored eyes positioned ^ ^ ^ anchored feet run function ttm:skills/smithing/ray/start_ray
scoreboard players set @s[scores={ttm.inter_blast=1..}] ttm.inter_blast 0
scoreboard players remove @s[scores={ttm.p_blast_timer=1..}] ttm.p_blast_timer 1

# sneak
execute at @s[scores={ttm.sneak_timer=70..},tag=ttm.no_armor] if entity @e[type=#ttm:hostile,distance=1..15] run function ttm:skills/sneak/exp

# Resets sneak timer when not sneaking

execute if entity @s[scores={ttm.sneak_timer=1..},predicate=!ttm:detect/sneak] run function ttm:skills/sneak/penalty

# Sneak ability

execute if entity @s[scores={ttm.sneak_timer=149..,ttm.snk_level=25..},tag=ttm.no_armor] run function ttm:skills/sneak/ability

# Sneak timer
scoreboard players add @s[scores={ttm.phit=1..,ttm.sneak_timer=149..},tag=ttm.no_armor] ttm.snk_exp 100

scoreboard players set @s[scores={ttm.phit=1..}] ttm.sneak_timer 0
scoreboard players remove @s[scores={ttm.sneak_timer=151..}] ttm.sneak_timer 1
execute if entity @s[scores={ttm.snk_timer=1}] run function ttm:skills/sneak/revoke
scoreboard players remove @s[scores={ttm.snk_timer=1..}] ttm.snk_timer 1

# swords
execute if entity @s[scores={ttm.swd_timer=1}] run function ttm:skills/swords/revoke
scoreboard players remove @s[scores={ttm.swd_timer=1..}] ttm.swd_timer 1

# taming

scoreboard players set @s[scores={ttm.phit=1..}] ttm.phit 0
scoreboard players set @s[scores={ttm.broke_plant=1..}] ttm.broke_plant 0